QueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.QueryNode interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.nodes
Interface QueryNode

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  FieldableNode, FieldValuePairQueryNode<T>, RangeQueryNode<T>, ValueQueryNode<T>

All Known Implementing Classes:
  AbstractRangeQueryNode, AndQueryNode, AnyQueryNode, BooleanModifierNode, BooleanQueryNode, BoostQueryNode, DeletedQueryNode, FieldQueryNode, FuzzyQueryNode, GroupQueryNode, MatchAllDocsQueryNode, MatchNoDocsQueryNode, ModifierQueryNode, MultiPhraseQueryNode, NoTokenFoundQueryNode, NumericQueryNode, NumericRangeQueryNode, OpaqueQueryNode, OrQueryNode, ParametricQueryNode, ParametricRangeQueryNode, PathQueryNode, PhraseSlopQueryNode, PrefixWildcardQueryNode, ProximityQueryNode, QueryNodeImpl, QuotedFieldQueryNode, RangeQueryNode, SlopQueryNode, StandardBooleanQueryNode, TermRangeQueryNode, TokenizedPhraseQueryNode, WildcardQueryNode

    public interface QueryNode

extends Serializable

A `QueryNode` is a interface implemented by all nodes on a QueryNode tree.

Method Summary
`void` | `add(List<QueryNode> children)`
`void` | `add(QueryNode child)`
`QueryNode` | `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`boolean` | `containsTag(CharSequence tagName)` Deprecated. use `containsTag(String)` instead
`boolean` | `containsTag(String tagName)` verify if a node contains a tag
`List<QueryNode>` | `getChildren()` get Children nodes
`QueryNode` | `getParent()`
`Object` | `getTag(CharSequence tagName)` Deprecated. use `getTag(String)` instead
`Object` | `getTag(String tagName)`
`Map<String,Object>` | `getTagMap()` Returns a map containing all tags attached to this query node.
`Map<CharSequence,Object>` | `getTags()` Deprecated. use `getTagMap()`
`boolean` | `isLeaf()` verify if a node is a Leaf node
`void` | `set(List<QueryNode> children)`
`void` | `setTag(CharSequence tagName, Object value)` Deprecated. use `setTag(String, Object)` instead
`void` | `setTag(String tagName, Object value)` Associate the specified value with the specified tagName.
`CharSequence` | `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` | `toString()` for printing
`void` | `unsetTag(CharSequence tagName)` Deprecated. use `unsetTag(String)` instead
`void` | `unsetTag(String tagName)` Unset a tag.

Method Detail

### toQueryString

    CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  convert to a query string understood by the query parser

### toString

    String toString()

  for printing

  Overrides:
    `toString` in class `Object`

### getChildren

    List<QueryNode> getChildren()

  get Children nodes

### isLeaf

    boolean isLeaf()

  verify if a node is a Leaf node

### containsTag

    boolean containsTag(String tagName)

  verify if a node contains a tag

### containsTag

    @Deprecated
    boolean containsTag(CharSequence tagName)

  Deprecated. use `containsTag(String)` instead

  verify if a node contains a tag

### getTag

    Object getTag(String tagName)

  Parameters:
    `tagName` -
  Returns:
    of stored on under that tag name

### getTag

    @Deprecated
    Object getTag(CharSequence tagName)

  Deprecated. use `getTag(String)` instead

  Parameters:
    `tagName` -
  Returns:
    of stored on under that tag name

### getParent

    QueryNode getParent()

### cloneTree

    QueryNode cloneTree()
                        throws CloneNotSupportedException

  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Returns:
    the cloned tree
  Throws:
    `CloneNotSupportedException`

### add

    void add(QueryNode child)

### add

    void add(List<QueryNode> children)

### set

    void set(List<QueryNode> children)

### setTag

    void setTag(String tagName,
                Object value)

  Associate the specified value with the specified tagName. If the tagName already exists, the old value is replaced. The tagName and value cannot be null. tagName will be converted to lowercase.

  Parameters:
    `tagName` -
    `value` -

### setTag

    @Deprecated
    void setTag(CharSequence tagName,
                           Object value)

  Deprecated. use `setTag(String, Object)` instead

  Associate the specified value with the specified tagName. If the tagName already exists, the old value is replaced. The tagName and value cannot be null. tagName will be converted to lowercase.

  Parameters:
    `tagName` -
    `value` -

### unsetTag

    void unsetTag(String tagName)

  Unset a tag. tagName will be converted to lowercase.

  Parameters:
    `tagName` -

### unsetTag

    @Deprecated
    void unsetTag(CharSequence tagName)

  Deprecated. use `unsetTag(String)` instead

  Unset a tag. tagName will be converted to lowercase.

  Parameters:
    `tagName` -

### getTags

    @Deprecated
    Map<CharSequence,Object> getTags()

  Deprecated. use `getTagMap()`

  Returns a map containing all tags attached to this query node.

  Returns:
    a map containing all tags attached to this query node

### getTagMap

    Map<String,Object> getTagMap()

  Returns a map containing all tags attached to this query node.

  Returns:
    a map containing all tags attached to this query node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD